// Copyright 2012 MightyClient Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview Declaration of externs for App Engine Channel API.
 */


var appengine = {};



/**
 * @param {string} token
 * @constructor
 */
appengine.Channel = function(token) {};


/**
 * @param {!Object=} opt_handler
 * @return {!appengine.Socket}
 */
appengine.Channel.prototype.open = function(opt_handler) {};



/**
 * @constructor
 */
appengine.Socket = function() {};


appengine.Socket.prototype.close = function() {};


/**
 * @type {!function()}
 */
appengine.Socket.prototype.onopen;


/**
 * @type {!function(string)}
 */
appengine.Socket.prototype.onmessage;


/**
 * @type {!function(!Object)}
 */
appengine.Socket.prototype.onerror;


/**
 * @type {!function()}
 */
appengine.Socket.prototype.onclose;
