# Copyright 2012 MightyClient Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS-IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""Utilities for working with json module.
"""

import json


_OPTIONS = {
  'check_circular': False,
  'allow_nan': False,
  'separators': (',', ':')
}


def dump(obj, fp):
  json.dump(obj, fp, **_OPTIONS)


def dumps(obj):
  return json.dumps(obj, **_OPTIONS)


class ConstantError(Exception): pass


def _raise_constant_error(): raise ConstantError(
    "Encountered '-Infinity', 'Infinity', or 'NaN' when parsing JSON string.")


def load(fp):
  return json.load(fp, parse_constant=_raise_constant_error)


def loads(s):
  return json.loads(s, parse_constant=_raise_constant_error)
